//Ex4_16.cpp
#include "iostream" 
#include "cstring"
using namespace std;
struct person
	{char name[10];  //姓名
     bool sex;       //性别
	 int age;        //年龄
	 float score;    //成绩
	}a[10];
void main()
{int n,i,k;
 person x; 
 cout<<"请输入一个正整数(1~n):";
 cin>>n;
 cout<<"从键盘输入具有person结构的"<<n<<"个记录："<<endl;
 for(i=0;i<n;i++)
	{cin>>x.name;
     cin>>k;
     if (k==1) x.sex=true; else x.sex=false;  //1为男，非1为女
       cin>>x.age>>x.score ;
     a[i]=x;   //结构赋值
	}
 cout<<"显示具有person结构的"<<n<<"个记录："<<endl;
 for(i=0;i<n;i++)
   {cout<<a[i].name<<' ';
    if (a[i].sex==true) cout<<"man"<<' ';
	else cout<<"woman"<<' ';
	cout<<a[i].age<<' '<<a[i].score<<endl;
   }
}
